## NAME

r.mode - Finds the mode of values in a cover map within areas assigned the same category value in a user-specified base map.

## KEYWORDS

raster, algebra, statistics

## SYNOPSIS

r.mode
r.mode --help
r.mode base=string cover=string output=string [--overwrite] [--help] [--verbose] [--quiet] [--ui]

### Flags:

--overwrite
  Allow output files to overwrite existing files
--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

### Parameters:

base=string [required]
  Base map to be reclassified
cover=string [required]
  Coverage map
output=string [required]
  Output map

## DESCRIPTION

r.mode calculates the most frequently occurring value (i. e., mode) of data contained in a cover raster map layer for areas assigned the same category value in the user-specified base raster map layer. These modes are stored in the new output map layer.

The output map is actually a reclass of the base map.

The base parameter defines an existing raster map layer in the user's current mapset search path. For each group of cells assigned the same category value in the base map, the mode of the values assigned these cells in the cover map will be computed.

The cover parameter defines an existing raster map layer containing the values to be used to compute the mode within each category of the base map.

## NOTES

The user should use the results of r.mode with care. Since this utility assigns a value to each cell which is based on global information (i.e., information at spatial locations other than just the location of the cell itself), the resultant map layer is only valid if the geographic region and mask settings are the same as they were at the time that the result map was created.

Results are affected by the current region settings and mask.

## EXAMPLE

Mode of K-factor (erosion) for Spearfish fields:

    g.region raster=fields -p
    r.mode base=fields cover=soils.Kfactor output=K.by.farm.mode
    r.univar K.by.farm.mode

## SEE ALSO

g.region, r.category, r.clump, r.describe, r.mapcalc, r.mfilter, r.neighbors, r.reclass, r.stats, r.statistics, r.univar

## AUTHOR

Michael Shapiro, U.S.Army Construction Engineering Research Laboratory

Last changed: $Date: 2014-12-19 22:55:37 +0100 (pá, 19 12 2014) $

Main index | Raster index | Topics index | Keywords index | Full index

© 2003-2015 GRASS Development Team, GRASS GIS 7.0.1 Reference Manual